/*
 * ContactBean.java
 *
 * Created on June 18, 2007, 8:58 PM
 */

package demo;

import demo.entity.Contact;
import java.beans.*;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


/**
 * @author Owner
 */
public class ContactBean extends Object implements Serializable {

    
    public static final String PROP_SAMPLE_PROPERTY = "sampleProperty";
    
    private String sampleProperty;
    private String firstName;
    private String lastName;
    private String phone;
    private ContactImpl contactImpl;
    
    private PropertyChangeSupport propertySupport;
    
    public ContactBean() {
        propertySupport = new PropertyChangeSupport(this);
        contactImpl = new ContactImpl();
    }
    
    public String getFirstName() {
        System.out.println("Getting first name " + firstName);
        return firstName;
    }
    
    public void setFirstName(String value) {
        String oldValue = sampleProperty;
        firstName= value;
        sampleProperty = firstName;
        System.out.println("Setting first name to:" + firstName);
        propertySupport.firePropertyChange(PROP_SAMPLE_PROPERTY, oldValue, sampleProperty);
    }
    
    public List getContacts() {
        List contacts = new ArrayList();
        contacts.add(new Contact("lance", "andersen","123 456 7890"));
        contacts.add(new Contact("tonya", "andersen","123 456 7890"));
        contacts= contactImpl.executeQuery("", "", "");
        return contacts;
    }
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        propertySupport.addPropertyChangeListener(listener);
    }
    
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertySupport.removePropertyChangeListener(listener);
    }
    
    public void addContact()  {
        
            
            contactImpl.addContact(new Contact(firstName, lastName, phone));
       
    }
    
    public String getLastName() {
        return lastName;
    }
    
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }
    
    public String getPhone() {
        return phone;
    }
    
    public void setPhone(String phone) {
        this.phone = phone;
    }
}
