/*
 * ContactServlet.java
 *
 * Created on June 20, 2007, 8:53 AM
 */

package demo.servlet;

import demo.ContactImpl;
import demo.entity.Contact;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Owner
 * @version
 */
public class ContactServlet extends HttpServlet {
    private ServletContext context;
    private ContactImpl contactImpl;
    
    public void init(ServletConfig config) throws ServletException {
        
        context = config.getServletContext();
         contactImpl = new ContactImpl();
        System.out.println("in init()");

        
    }
    
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        String fullURL = request.getRequestURI();
        
        // get the screen name
        String selectedURL = null;
        int lastPathSeparator = fullURL.lastIndexOf("/") + 1;
        if (lastPathSeparator != -1) {
            selectedURL = fullURL.substring(lastPathSeparator, fullURL.length());
        }
        if(selectedURL.equals("displayContacts")) {
            
            request.setAttribute("contacts", contactImpl.getContacts());
            context.getRequestDispatcher("/displayContactsFromServlet.jsp").forward(request, response);
        }if(selectedURL.equals("addContact")) {
            String fname = request.getParameter("firstName");
            String lname = request.getParameter("lastName");
            String phone = request.getParameter("phone");
            contactImpl.addContact(new Contact(fname, lname, phone));
            request.setAttribute("contacts", contactImpl.getContacts());
            context.getRequestDispatcher("/displayContactsFromServlet.jsp").forward(request, response);
        }else {
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet ContactServlet</title>");
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Servlet ContactServlet at " + request.getContextPath() + "</h1>");
            out.println("SelectedURL="+ selectedURL);
            out.println("</body>");
            out.println("</html>");
            
            out.close();
        }
        
        
        
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
    
   
}
